# Class LineString

java.lang.Object
org.mariadb.jdbc.type.LineString

All Implemented Interfaces:
  `Geometry`

public class LineString extends Object implements Geometry
Linestring object

## Constructor Summary

Constructors
Constructor
Description
`LineString(Point[] points, boolean open)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Point[]`
`getPoints()`
get points
`int`
`hashCode()`
`boolean`
`isOpen()`
Is form open
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LineString

public LineString(Point[] points, boolean open)
Constructor

Parameters:
  `points` - point list
  `open` - open linestring

## Method Details

### getPoints

public Point[] getPoints()
get points

Returns:
  points

### isOpen

public boolean isOpen()
Is form open

Returns:
  is open

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`